Bug 1603758 - debconf: FTBFS in F29: File not found: /builddir/build/BUILDROOT/debconf-1.5.63-3.fc30.noarch/usr/lib/python2.7/site-packages/debconf.*
Summary: debconf: FTBFS in F29: File not found: /builddir/build/BUILDROOT/debconf-1.5....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: debconf
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Oron Peled
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 18:44 UTC by Mohan Boddu
Modified: 2018-10-16 10:28 UTC (History)
4 users (show)

Fixed In Version: debconf-1.5.69-1.fc29 debconf-1.5.69-1.fc28 debconf-1.5.69-1.fc27 debconf-1.5.69-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-28 16:56:27 UTC


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2018-07-19 18:45 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-19 18:45 UTC, Mohan Boddu
no flags Details
state.log (623 bytes, text/plain)
2018-07-19 18:45 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 18:44:54 UTC
debconf failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28173857


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix debconf at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
debconf will be orphaned. Before branching of Fedora 30,
debconf will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 18:45:02 UTC
Created attachment 1461311 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-19 18:45:06 UTC
Created attachment 1461312 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 18:45:09 UTC
Created attachment 1461313 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:46:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Petr Pisar 2018-09-17 14:59:35 UTC
+ make install-rest prefix=/builddir/build/BUILDROOT/debconf-1.5.63-3.fc30.noarch
/bin/sh: python: command not found
/bin/sh: python: command not found
[...]
Processing files: debconf-1.5.63-3.fc30.noarch
error: File not found: /builddir/build/BUILDROOT/debconf-1.5.63-3.fc30.noarch/usr/lib/python2.7/site-packages/debconf.*

A difference between passing and failing build is at <https://apps.fedoraproject.org/koschei/build/4962223>.

This is probably triggered by changes in python2 packaging.

Comment 7 Fedora Update System 2018-09-18 02:31:24 UTC
debconf-1.5.69-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7f6ea201fe

Comment 8 Fedora Update System 2018-09-18 02:31:43 UTC
debconf-1.5.69-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4937ca47fa

Comment 9 Fedora Update System 2018-09-18 02:32:12 UTC
debconf-1.5.69-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-fcea278828

Comment 10 Fedora Update System 2018-09-18 02:32:48 UTC
debconf-1.5.69-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-1056841299

Comment 11 Fedora Update System 2018-09-18 06:17:40 UTC
debconf-1.5.69-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7f6ea201fe

Comment 12 Fedora Update System 2018-09-18 07:01:30 UTC
debconf-1.5.69-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-fcea278828

Comment 13 Fedora Update System 2018-09-18 07:40:55 UTC
debconf-1.5.69-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-1056841299

Comment 14 Fedora Update System 2018-09-18 09:06:41 UTC
debconf-1.5.69-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4937ca47fa

Comment 15 Fedora Update System 2018-09-28 16:56:27 UTC
debconf-1.5.69-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-10-05 17:08:07 UTC
debconf-1.5.69-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-10-07 21:10:58 UTC
debconf-1.5.69-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-10-16 10:28:55 UTC
debconf-1.5.69-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.